%define pygtk2_version                  2.6.0
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: User oriented backup and restore application
Name: pybackpack
Version: 0.5.6
Release: 5%{?dist}
License: GPLv2
Group: Applications/Archiving
URL: http://andrewprice.me.uk/projects/pybackpack/
Source: http://andrewprice.me.uk/projects/pybackpack/download/pybackpack-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: pygtk2 >= %{pygtk2_version}
#gnome-python2-nautilus-cd-burner is a broken dependency, working with
#upstream to resolve the dep, upstream suggested to simply not require for
#now as it won't break anything, but simply won't support backup to cd
#Requires: gnome-python2-nautilus-cd-burner
Requires: rdiff-backup >= 1.0
BuildArch:      noarch

%description
A GTK+ tool written in Python to backup files.

%prep
%setup -q

%build
python setup.py build
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install \
  --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%post

#%postun

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING CHANGELOG INSTALL
%dir %{python_sitelib}/pybackpack
%{_bindir}/pybackpack
%{python_sitelib}/pybackpack/*
%{_datadir}/applications/fedora-pybackpack.desktop
%{_datadir}/man/man1/pybackpack.1.gz
%{_datadir}/pixmaps/pybackpack_logo.png
%if 0%{?fedora} >= 9
%{python_sitelib}/*.egg-info
%endif

%changelog
* Tue Aug 04 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.5.6-5
- Removing gnome-python2-nautilus-cd-burner as a dependency
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.6-2
- Rebuild for Python 2.6

* Fri Sep 26 2008 Andy Price <andy@andrewprice.me.uk> - 0.5.6-1
- Updated RPM to 0.5.6
- Spec updated to handle installation of translations
* Wed Sep 10 2008 Andy Price <andy@andrewprice.me.uk> - 0.5.5-1
- Updated RPM to 0.5.5
* Tue Jan 01 2008 Andy Price <andy@andrewprice.me.uk> - 0.5.4-2
- Take ownership of .egg-info file in >= Fedora 9
* Tue Jan 01 2008 Andy Price <andy@andrewprice.me.uk> - 0.5.4-1
- Updated RPM to 0.5.4
* Thu Jun 21 2007 Andy Price <andy@andrewprice.me.uk> - 0.5.1-2
- Use python_sitelib instead of python_sitearch
- Fix ownership of python/site-packages/pybackpack dir
- Remove X-Fedora category
- Move to Applications/Archiving group
* Sat May 26 2007 Andy Price <andy@andrewprice.me.uk> - 0.5.1-1
- Updated RPM to 0.5.1
* Sat Apr 09 2007 Andy Price <andy@andrewprice.me.uk> - 0.5.0-1
- Updated RPM to 0.5.0
- Added patch to remove shebangs from non-executables
* Sat Jan 06 2007 Andy Price <andy@andrewprice.me.uk> - 0.4.5-1
- Updated RPM to 0.4.5
* Mon Nov 20 2006 Andy Price <andy@andrewprice.me.uk> - 0.4.4-1
- Updated RPM to 0.4.4
* Tue Nov 14 2006 Andy Price <andy@andrewprice.me.uk> - 0.4.3-1
- Updated RPM to 0.4.3
* Sat Apr 22 2006 Dave Arter <davea@sucs.org> - 0.4.2-1
- Updated RPM to 0.4.2
* Sun Sep 18 2005 Dave Arter <davea@sucs.org> - 0.4.1-1
- Initial package attempt, using Jeff Spaleta's spec file
